--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Check if a resource is valid in a given context
full_name: DataMapper::Validate#valid?
is_singleton: false
name: valid?
params: (context = :default)
visibility: public
